#### OUTRECDELIM

#### Synopsis

    HELP:   Record delimiter for decompressed files
    TYPE:   STRING
    SYNTAX: OUTRECDELIM/ORECDEL/ORECD/ORECDELIM/OUTDELIM/ORDELIM='bin-hex'

#### Description

Record delimiter for original output file.

See also parameters RECDELIM and OUTRECDELIM.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `ORECDEL=String`
  - `ORECD=String`
    - Note: Not evaluated by FLAM under z/OS.
- UNIX
  - `-outrecdelim=record delimiter`
- WINDOWS
  - `outrecdelim=record delimiter`
  - `outrecd=record delimiter`

Values

- z/OS
  - String of up to 4 characters.
- UNIX
  - Hexadecimal characters between 01 and FF, with a length of either 1 or 2 bytes.
    - Note: This parameter specifies the record delimiter for a decompressed file with the stream record format. If a record delimiter is not specified for the stream record format, 0x0A is used as a default delimiter. If outrecdelim=0D0A is specified, the decompressed file can be generated in MSDOS format. Any other character combinations are also allowed as record delimiters.
- WINDOWS
  - Hexadecimal characters between 01 and FF, length: 1 or 2 bytes (2 or 4 hex characters).
    - NOTE: With this parameter the end-of-record character of the decompressed file is specified with record format text (see also parameter RECFORMAT). When using record format text without specifying the end-of-record character, 0D0A (CRLF) is written as the end-of-record character. With the specification `outrecdelim=0A` it is possible to generate the decompressed file in UNIX format. Beyond that every other combination of characters is allowed as end-of-record characters.

Default

- no input record delimiter

Valid for

- compression